<?php
namespace Incoviba\common;

use Incoviba\Common\Alias\OldModel as Model;

/**
 *
 * @author Aldarien
 * @property int $user foreign=users.id
 * @property int $role foreign=roles.id
 *
 */
class UserRole extends Model
{
	public static $_table = 'user_roles';

	public function user()
	{
		return $this->belongsTo(User::class, 'user')->findOne();
	}
	public function role()
	{
		return $this->belongsTo(Role::class, 'role')->findOne();
	}
}
?>
